"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseExpressionBuilder = void 0;
class BaseExpressionBuilder {
    pkName;
    constructor(pkName = "id") {
        this.pkName = pkName;
    }
    extractPartitionKeyFilter(filters) {
        const remaining = [...filters];
        const pkIndex = remaining.findIndex((f) => f.field === this.pkName && f.operator === "=");
        if (pkIndex === -1) {
            return { remainingFilters: remaining };
        }
        const pkFilter = remaining[pkIndex];
        remaining.splice(pkIndex, 1);
        return { pkFilter, remainingFilters: remaining };
    }
}
exports.BaseExpressionBuilder = BaseExpressionBuilder;
//# sourceMappingURL=BaseExpressionBuilder.js.map